usetat(3)

NAME
usetat

SYNOPSIS
#include <allegro.h>

int usetat(char *s, int index, int c);

DESCRIPTION
Replaces the character at the specified index within the string with value c, handling any adjustments for variable width data (ie. if c encodes to a different width than the previous value at that location). Returns the number of bytes by which the trailing part of the string was moved. If the index is negative, it counts backward from the end of the string.

SEE ALSO
uoffset(3), ugetat(3), uinsert(3), uremove(3)